/**
 * Copyright 2002, 2013 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes;

import clenotes.Option;
import com.google.common.base.Objects;
import java.util.LinkedHashMap;
import java.util.Map;
import org.eclipse.xtext.xbase.lib.CollectionLiterals;
import org.eclipse.xtext.xbase.lib.Functions.Function0;
import org.eclipse.xtext.xbase.lib.util.ToStringHelper;

@SuppressWarnings("all")
public class Command {
  private String _name = null;
  
  public String getName() {
    return this._name;
  }
  
  public void setName(final String name) {
    this._name = name;
  }
  
  private String _description = null;
  
  public String getDescription() {
    return this._description;
  }
  
  public void setDescription(final String description) {
    this._description = description;
  }
  
  private Map<String,Option> _optionMap = new Function0<Map<String,Option>>() {
    public Map<String,Option> apply() {
      LinkedHashMap<String,Option> _newLinkedHashMap = CollectionLiterals.<String, Option>newLinkedHashMap();
      return _newLinkedHashMap;
    }
  }.apply();
  
  public Map<String,Option> getOptionMap() {
    return this._optionMap;
  }
  
  public void setOptionMap(final Map<String,Option> optionMap) {
    this._optionMap = optionMap;
  }
  
  public boolean hasOption(final String optionName) {
    Map<String,Option> _optionMap = this.getOptionMap();
    boolean _containsKey = _optionMap.containsKey(optionName);
    return _containsKey;
  }
  
  public String getOptionValue(final String optionName) {
    String _xblockexpression = null;
    {
      Map<String,Option> _optionMap = this.getOptionMap();
      Option option = _optionMap.get(optionName);
      String value = null;
      boolean _notEquals = (!Objects.equal(option, null));
      if (_notEquals) {
        String _value = option.getValue();
        value = _value;
      }
      _xblockexpression = (value);
    }
    return _xblockexpression;
  }
  
  public String toString() {
    ToStringHelper _toStringHelper = new ToStringHelper();
    String result = _toStringHelper.toString(this);
    return result;
  }
}
