/**
 * Copyright 2002, 2013 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes;

import clenotes.Configuration;
import java.io.File;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.eclipse.xtext.xbase.lib.Exceptions;
import org.eclipse.xtext.xbase.lib.Functions.Function0;

@SuppressWarnings("all")
public class Logger {
  private static SimpleDateFormat formatter = new Function0<SimpleDateFormat>() {
    public SimpleDateFormat apply() {
      SimpleDateFormat _simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS z");
      return _simpleDateFormat;
    }
  }.apply();
  
  public static void log(final Object msg) {
    try {
      boolean _logEnabled = Configuration.logEnabled();
      if (_logEnabled) {
        File _file = new File("log/clenotes.log");
        FileWriter _fileWriter = new FileWriter(_file, true);
        PrintWriter _printWriter = new PrintWriter(_fileWriter);
        final PrintWriter logWriter = _printWriter;
        Date _date = new Date();
        String _format = Logger.formatter.format(_date);
        String _plus = (">> " + _format);
        String _plus_1 = (_plus + ": ");
        String _plus_2 = (_plus_1 + msg);
        logWriter.println(_plus_2);
        logWriter.println("<<");
        logWriter.close();
      }
    } catch (Throwable _e) {
      throw Exceptions.sneakyThrow(_e);
    }
  }
}
